package com.gh.gamecenter.feature.entity

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class WechatPayEntity(
    @SerializedName("appid")
    private val _appId: String? = null,
    @SerializedName("partnerid")
    private val _partnerId: String? = null,
    @SerializedName("prepayid")
    private val _prepayId: String? = null,
    @SerializedName("package")
    private val _package: String? = null,
    @SerializedName("noncestr")
    private val _nonceStr: String? = null,
    @SerializedName("timestamp")
    private val _timestamp: String? = null,
    @SerializedName("sign")
    private val _sign: String? = null,
    @SerializedName("order_no")
    private val _orderNo: String? = null
) : Parcelable {

    val appId: String
        get() = _appId ?: ""

    val partnerId: String
        get() = _partnerId ?: ""

    val prepayId: String
        get() = _prepayId ?: ""

    val packageValue: String
        get() = _package ?: ""

    val nonceStr: String
        get() = _nonceStr ?: ""

    val timestamp: String
        get() = _timestamp ?: ""

    val sign: String
        get() = _sign ?: ""

    val orderNo: String
        get() = _orderNo ?: ""
}